# Enum TargetJdk

java.lang.Object
java.lang.Enum<TargetJdk>
org.gradle.api.plugins.quality.TargetJdk

All Implemented Interfaces:
  `Serializable, Comparable<TargetJdk>, Constable`

@Deprecated public enum TargetJdk extends Enum<TargetJdk>
Deprecated.
This type is only used by the deprecated `targetJdk` property on the PMD plugin. It will be removed in Gradle 10. PMD 5.0 and later infer the Java language version from the rule sets.
Represents the PMD targetjdk property available for PMD < 5.0.

Since:
  1.5

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VERSION_1_3`
  Deprecated.
  `VERSION_1_4`
  Deprecated.
  `VERSION_1_5`
  Deprecated.
  `VERSION_1_6`
  Deprecated.
  `VERSION_1_7`
  Deprecated.
  `VERSION_JSP`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Deprecated.
  Returns the name.
  `String`
  `toString()`
  Deprecated.
  `static @Nullable TargetJdk`
  `toVersion(@Nullable Object value)`
  Deprecated.
  Converts the given object into a `TargetJdk`.
  `static TargetJdk`
  `valueOf(String name)`
  Deprecated.
  Returns the enum constant of this type with the specified name.
  `static TargetJdk[]`
  `values()`
  Deprecated.
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VERSION_1_3

    public static final TargetJdk VERSION_1_3
    Deprecated.
    Since:
      1.5

  - ### VERSION_1_4

    public static final TargetJdk VERSION_1_4
    Deprecated.
    Since:
      1.5

  - ### VERSION_1_5

    public static final TargetJdk VERSION_1_5
    Deprecated.
    Since:
      1.5

  - ### VERSION_1_6

    public static final TargetJdk VERSION_1_6
    Deprecated.
    Since:
      1.5

  - ### VERSION_1_7

    public static final TargetJdk VERSION_1_7
    Deprecated.
    Since:
      1.5

  - ### VERSION_JSP

    public static final TargetJdk VERSION_JSP
    Deprecated.
    Since:
      1.5

- ## Method Details

  - ### values

    public static TargetJdk[] values()
    Deprecated.
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static TargetJdk valueOf(String name)
    Deprecated.
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toVersion

    public static @Nullable TargetJdk toVersion(@Nullable Object value) throws IllegalArgumentException
    Deprecated.
    Converts the given object into a `TargetJdk`.
    Parameters:
      `value` - An object whose toString() value is to be converted. May be null.
    Returns:
      The version, or null if the provided value is null.
    Throws:
      `IllegalArgumentException` - when the provided value cannot be converted.
    Since:
      1.5

  - ### toString

    public String toString()
    Deprecated.
    Overrides:
      `toString` in class `Enum<TargetJdk>`

  - ### getName

    public String getName()
    Deprecated.
    Returns the name.
    Since:
      1.5